@import url('https://fonts.googleapis.com/css2?family=Oswald:wght@200..700&display=swap');




*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Oswald", sans-serif;
    font-weight: 700; 
    text-decoration: none;
}

:root {
    --primary-color: #0761f2;
    --primary2-color: #1b465f;
    --bg-color: #08d84d;
    --second-bg-color: #beb2b2;
    --first-text-color: #fff;
    --second-text-color: #eae9f1;
    --third-text-color: #bebcbc;
    --fourth-text-color: #f7d1d1ca;
    --main-color: #1b465f;
    --nav-color: #0f5dd3;
    --nav2-color:#171175;
    --btn-color: #17301d;
    --btn2-color: #020274;
    --btn3-color: #e21818;
    --shadow: 1px 1px 1px #000;
    --box-shadow2: rgb(0 0 2 / 35%) 0px 20px 30px -10px;
}


 /* ========================= */
        /* MAIN NAV */
        /* ========================= */

        .main-nav {
            width: 100%;
            background: #f8f8fc;
            z-index: 99;
        }


        .main-nav-container {
            display: flex;
            justify-content: space-between;
            align-items: center;
            width: 80%;
            min-height: 90px;
            margin: 0 auto;
        }

        .fixy {
            position: fixed;
            top: 0;
            border-bottom: 5px solid var(--main-color);
            background: #f8f8fc;
            transition: 1s;
        }

        /* ========================= */
        /* LOGO */
        /* ========================= */

        .logo img {
            width: 150px;
            transition: 0.3s ease;
        }


        .logo:hover img {
            transform: scale(1.1);
        }


        /* ========================= */
        /* NAVIGATION */
        /* ========================= */

        nav {
            display: flex;
            align-items: center;
            height: 70px;
        }


        .navbar {
            display: flex;
            align-items: center;
            justify-content: center;

            height: 100%;
            position: relative;

            border-radius: 10px;
        }


        .navbar a {
            position: relative;
            z-index: 2;

            height: 100%;

            display: flex;
            align-items: center;
            justify-content: center;

            padding: 0 23px;

            font-size: 19px;
            color: var(--nav-color);

            transition: color 0.3s ease;

            white-space: nowrap;
        }


        /* Text becomes white */

        .navbar a.active,
        .navbar a.hovered {
            color: #b0b5b1;
        }


        /* ========================= */
        /* NAVIGATION INDICATOR */
        /* ========================= */

        .nav-indicator {
            position: absolute;

            top: 0;
            left: 0;

            height: 100%;

            width: 0;

            background: var(--primary2-color);

            border-radius: 10px;

            z-index: 1;

            pointer-events: none;
        }


        /* ========================= */
        /* HAMBURGER */
        /* ========================= */

        .open-menu {
            display: none;
        }


        .open-menu i {
            font-size: 30px;
            cursor: pointer;
        }


        /* ========================= */
        /* MOBILE VIEW */
        /* ========================= */

        @media (max-width: 1203px) {

            .open-menu {
                display: block;
                z-index: 1001;
            }


            .navbar {
                position: fixed;

                top: 0;
                right: -100%;

                width: 260px;
                height: 100vh;

                background: #fff;

                flex-direction: column;

                align-items: flex-start;
                justify-content: flex-start;

                padding-top: 80px;

                transition: right 0.4s ease;

                z-index: 1000;

                border-radius: 0;
            }


            .navbar.menu-open {
                right: 0;
            }


            .navbar a {
                width: 100%;
                height: 60px;

                justify-content: flex-start;

                padding-left: 30px;

                color: var(--nav-color);

                border-bottom: 1px solid var(--main-color);
                border-left: 1px solid var(--main-color);
            }


            .navbar a.active {
                background: var(--primary2-color);
                color: #fff;
            }


            .navbar a.hovered {
                color: var(--nav-color);
            }


            /* Hide animated indicator on mobile */

            .nav-indicator {
                display: none;
            }

        }




/* header image  */

.header-image {
    background-image:linear-gradient(rgba(0,0,0,0.6), rgba(0,0,0,0.6)), url(../images/gallery-1675672368.jpg);
    width: 100%;
    height: 70vh;
    background-position: center;
    background-size: cover;
    display: flex;
    justify-content: center;
    align-items: center;
}

.header-image h1 {
    font-size: 2rem;
    color: var(--second-text-color);
    font-family: "Vidaloka", serif;
    font-weight: 900;
}


/* contact section  */

.contact-section {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 120vh;
    background: #ecedee;
}


.container {
    position: relative;
    min-width: 1100px;
    min-height: 550px;
    display: flex;
    z-index: 1000px;
}

.container .contactinfo {
    position: absolute;
    top: 40px;
    width: 350px;
    height: calc(100% - 80px);
    background: var(--main-color);
    z-index: 1;
    padding: 40px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    box-shadow: 0 20px 25px rgba(0,0,0,0.15);
}

.container .contactinfo h2 {
    color: #fff;
    font-size: 24px;
    font-weight: 500;
}

.container .contactinfo ul.info {
    position: relative;
    margin: 20px 0;
}

.container .contactinfo ul.info li {
    position: relative;
    list-style: none;
    display: flex;
    margin: 20px 0;
    cursor: pointer;
    align-items: flex-start;
}

.container .contactinfo ul.info li span:nth-child(1){
    width: 30px;
    min-width: 30px;
}
.container .contactinfo ul.info li span:nth-child(1) img{
    max-width: 100%;
    filter: invert(1);
}
.container .contactinfo ul.info li span:nth-child(2){
    color: #fff;
    margin-left: 10px;
    font-weight: 300;
}

.social-link {
    display: flex;
    justify-content: flex-start;
    align-items: center;
}

.social-link a {
    color: #fff;
    font-size: 30px;
    margin-right: 8px;
    border-radius: 50%;
    padding: 6px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    transition: .2s;
}


.social-link a:hover {
    transform: scale(1.1);
}



.container .contactform {
    position: absolute;
    padding: 70px 50px;
    padding-left: 250px;
    margin-left: 150px;
    width: calc(100% - 150px);
    height: 100%;
    background: #fff;
    box-shadow: 0 50px 50px rgba(0,0,0,0.25);
}

.container .contactform h2 {
    color: #0f3959;
    font-size: 24px;
    font-weight: 500;
}

.container .contactform .formbox {
    position: relative;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    padding-top: 30px;
}

.container .contactform .formbox .inputbox {
    position: relative;
    margin-bottom: 35px;
}

.container .contactform .formbox .inputbox.w50 {
    width: 47%;
}
.container .contactform .formbox .inputbox.w100 {
    width: 100%;
}

.container .contactform .formbox .inputbox input,
.container .contactform .formbox .inputbox textarea {
    width: 100%;
    resize: none;
    padding: 5px 0;
    font-size: 18px;
    font-weight: 300;
    color: #333;
    border: none;
    outline: none;
    border-bottom: 1px solid #777;
}

.container .contactform .formbox .inputbox textarea {
    height: 120px;
}

.container .contactform .formbox .inputbox span {
    position: absolute;
    left: 0;
    padding: 5px 0;
    pointer-events: none;
    font-size: 18px;
    font-weight: 300;
    transition: 0.3s;
}

.container .contactform .formbox .inputbox input:focus ~ span,
.container .contactform .formbox .inputbox input:valid ~ span,
.container .contactform .formbox .inputbox textarea:focus ~ span,
.container .contactform .formbox .inputbox textarea:valid ~ span {
    transform: translateY(-20px);
    font-size: 12px;
    font-weight: 400;
    letter-spacing: 1px;
    color: purple;
    font-weight: 500;
}

.container .contactform .formbox .inputbox input[type="submit"] {
    position: relative;
    cursor: pointer;
    background: var(--main-color);
    color: #fff;
    border: none;
    max-width: 150px;
    padding: 12px;
    border-radius: 7px;
    transition: .5s ease;
}

.container .contactform .formbox .inputbox input[type="submit"]:hover {
    background-color: var(--nav-color);
    color: var(--first-text-color);
    transform: scale(1.1);
}










/* footer section */

.footer {
    background-color: var(--primary2-color);
    border-top: 1px solid #414040;
    padding: 40px 0;
}

.footer-content {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 90px;
    color: #fff;
}

.footer-content h2 {
    padding-bottom: 20px;
}

.footer-more-info h2,
.footer-about-us-links h2,
.footer-contact h2{
    font-weight: 900;
}

.footer-more-info {
    line-height: 30px;
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    flex-direction: column;
}

.footer-more-info h2 {
    font-weight: 900;
}

.footer-more-info img{
    width: 203px;
    background-color: #fff;
    border-radius: 4px;
}

.footer-about-us-links {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.footer-about-us-links a{
    color: #929c92;
}

.footer-about-us-links a:hover{
    color: #eff5ef;
}

.contact-info {
    margin-bottom: 15px;
}

.contact-info i {
    color: var(--nav-color);
}

.footer-content span {
    font-size: 13px;
    color: var(--third-text-color);
}

.footer-content span:hover {
    color: var(--first-text-color);
    cursor: pointer;
}

.footer-text p {
    font-size: 13px;
    color: var(--second-text-color);
}


.second-footer {
    padding: 25px 0;
    background: #112c3b;
    text-align: center;
    border-top: 1px solid #fff;
}







/* WHATSAPP */
.whatsapp-btn {
    position: fixed;
    bottom: 25px;
    right: 25px;
    background: linear-gradient(135deg, #0c8f3f, #0c5c2e);
    width: 55px;
    height: 55px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    font-size: 24px;
    box-shadow: 0 10px 25px rgba(0,0,0,0.2);
}






/* media query */
@media (max-width: 1203px) {
    .about-wrapper {
        width: 90%;
    }
}


@media (max-width : 1200px){
    .container {
        width: 90%;
        min-width: auto;
        margin: 20px;
        box-shadow: 0 20px 50px rgba(0,0,0,0.2);
    }
    .container .contactinfo {
        top: 0;
        height: 550px;
        position: relative;
        box-shadow: none;
    }
    .container .contactform {
        position: relative;
        width: calc(100% - 350px);
        padding-left: 0;
        margin-left: 0;
        padding: 40px;
        height: 550px;
        box-shadow: none;
    }
}

@media (max-width : 991px){
    .container {
        display: flex;
        flex-direction: column-reverse;
    }
    .container .contactform {
        width: 100%;
        height: auto;
        flex-direction: row;
    }
    .container .contactinfo{
        width: 100%;
    }
    .container .contactinfo .contactinfo-div {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    .social-link {
        justify-content: center; 
    }
}


@media (max-width : 600px){
    .container .contactform {
        padding: 25px;
    }
    .container .contactinfo {
        padding: 25px;
        width: 100%;
    }
    .container .contactinfo .contactinfo-div {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    .container .contactform .formbox .inputbox.w50 {
        width: 100%;
    }
}